Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceNews

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/news")
      public interface ServiceNews
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createNews​(String appId, NewsDTO news, org.fusesource.restygwt.client.MethodCallback<NewsDTO> callback)` |
    `void` | `getNews​(String appId, org.fusesource.restygwt.client.MethodCallback<List<NewsDTO>> callback)` |
    `void` | `getNewsByPubId​(String appId, String pubId, org.fusesource.restygwt.client.MethodCallback<NewsDTO> callback)` |
    `void` | `updateNews​(String appId, NewsDTO news, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |

- - ### Method Detail

    - #### getNews

          @GET
          @Path("{appId}/all")
          void getNews​(@PathParam("appId")
                       String appId,
                       org.fusesource.restygwt.client.MethodCallback<List<NewsDTO>> callback)

    - #### createNews

          @POST
          @Consumes("application/json")
          @Path("{appId}/create")
          void createNews​(@PathParam("appId")
                          String appId,
                          NewsDTO news,
                          org.fusesource.restygwt.client.MethodCallback<NewsDTO> callback)

    - #### updateNews

          @PUT
          @Consumes("application/json")
          @Path("{appId}/update")
          void updateNews​(@PathParam("appId")
                          String appId,
                          NewsDTO news,
                          org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### getNewsByPubId

          @GET
          @Produces("application/json")
          @Path("{appId}/byPubId/{pubId}")
          void getNewsByPubId​(@PathParam("appId")
                              String appId,
                              @PathParam("pubId")
                              String pubId,
                              org.fusesource.restygwt.client.MethodCallback<NewsDTO> callback)